<div class="md-dialog-container" id="codigoPostalDialog" flex="100">
        <md-dialog aria-label="{{codigoPostalDialogAction}}" flex="80">
        <md-toolbar>
              <div class="md-toolbar-tools">
                <h2>{{codigoPostalDialogAction}}</h2>
                <span flex></span>
                <md-button class="md-icon-button" ng-click="cancel()"> <md-icon aria-label="Cerrar"> <i class="material-icons">clear</i></md-icon> </md-button>
              </div>
            </md-toolbar>
          <form name="codigoPostalForm" id="codigoPostalForm" novalidate class="panel panel-default" ng-submit="codigoPostalForm.$valid && saveCodigoPostal(codigoPostal)">
            
            <md-dialog-content>
              <div layout="column" flex="95">
                <md-input-container class="md-block" flex-gt-sm> 
                  <label>C&oacute;digo</label> 
                  <input maxlength="5" ng-pattern="/^\d{5}$/" required name="codigo" ng-model="codigoPostal.codigo" />
                  
                  <div ng-messages="codigoPostalForm.codigo.$error">
                    <div ng-message="required">
                      	<b>C&oacute;digo</b> obligatorio.
                    </div>
                    <div ng-message="pattern">
                    	El <b>C&oacute;digo</b> debe ser un n&uacote;mero de 5 d&iacote;gitos.
                    </div>
                  </div>
                </md-input-container>
                
                <md-input-container class="md-block" flex-gt-sm> 
                  <label>Provincia</label> 
                  <input md-maxlength="200" required name="provincia" ng-model="codigoPostal.provincia" />
                  
                  <div ng-messages="codigoPostalForm.provincia.$error">
                    <div ng-message="required">
                      <b>Provincia</b> obligatorio.
                    </div>
                    <div ng-message="md-maxlength">
                      La <b>Provincia</b> no debe superar los 200 caracteres.
                    </div>
                  </div>
                </md-input-container>
                
                <md-input-container class="md-block" flex-gt-sm> 
                  <label>Poblaci&oacute;n</label> 
                  <input md-maxlength="200" required name="poblacion" ng-model="codigoPostal.poblacion" />
                  
                  <div ng-messages="codigoPostalForm.poblacion.$error">
                    <div ng-message="required">
                      <b>Poblaci&oacute;n</b> obligatorio.
                    </div>
                    <div ng-message="md-maxlength">
                      La <b>Poblaci&oacute;n</b> no debe superar los 200 caracteres.
                    </div>
                  </div>
                </md-input-container>
              </md-dialog-content>
              
              <md-dialog-actions layout="row">    
                <md-button type="submit" id="saveCodigoPostal" class="md-raised md-primary">Guardar</md-button>
                <md-button type="button" class="md-raised md-warn" ng-click="removeCodigoPostal(codigoPostal)" ng-if="codigoPostal.id">Eliminar</md-button>
              </md-dialog-actions>
            </form>
          </md-dialog>
</div>